Package twisted :: Package scripts :: Module twistd :: Class ServerOptions

[show private | hide private]
[frames | no frames]

## Class ServerOptions

    UserDict --+
               |
         Options --+
                   |
                  ServerOptions

Method Summary
| `__init__(self)` (inherited from `Options`)
| `__cmp__(self, dict)` (inherited from `UserDict`)
| `__delitem__(self, key)` (inherited from `UserDict`)
| ``__getattr__`(self, attr)` I make sure that old style 'optObj.option' access still works. (inherited from `Options`)
| `__getitem__(self, key)` (inherited from `UserDict`)
| `__hash__(self)` (inherited from `Options`)
| `__len__(self)` (inherited from `UserDict`)
| `__repr__(self)` (inherited from `UserDict`)
| `__setitem__(self, key, item)` (inherited from `UserDict`)
| `__str__(self, width)` (inherited from `Options`)
| `clear(self)` (inherited from `UserDict`)
| `copy(self)` (inherited from `UserDict`)
| `get(self, key, failobj)` (inherited from `UserDict`)
| `has_key(self, key)` (inherited from `UserDict`)
| `items(self)` (inherited from `UserDict`)
| `keys(self)` (inherited from `UserDict`)
| ``opt_g`(self, pkgname)` read config.tac from a plugin package, as with -y
| ``opt_help`(self)` Display this help and exit. (inherited from `Options`)
| ``opt_plugin`(self, pkgname)` read config.tac from a plugin package, as with -y
| ``opt_spew`(self)` Print an insanely verbose log of everything that happens.
| ``opt_version`(self)` Print version information and exit.
| ``parseArgs`(self)` I am called with any leftover arguments which were not options. (inherited from `Options`)
| ``parseOptions`(self, options)` The guts of the command-line parser. (inherited from `Options`)
| `popitem(self)` (inherited from `UserDict`)
| ``postOptions`(self)` I am called after the options are parsed. (inherited from `Options`)
| `setdefault(self, key, failobj)` (inherited from `UserDict`)
| `update(self, dict)` (inherited from `UserDict`)
| `values(self)` (inherited from `UserDict`)
| ``_gather_flags`(self)` Gather up boolean (flag) options. (inherited from `Options`)
| ``_gather_handlers`(self)` Gather up options with their own handler methods. (inherited from `Options`)
| ``_gather_parameters`(self)` Gather options which take a value. (inherited from `Options`)
| `_generic_flag(self, flagName, value)` (inherited from `Options`)
| `_generic_parameter(self, parameterName, value)` (inherited from `Options`)

Class Variable Summary
`list` | `optFlags`
`list` | `optParameters`
`string` | `synopsis`

Method Details

### opt_g(self, pkgname)

read config.tac from a plugin package, as with -y

### opt_plugin(self, pkgname)

read config.tac from a plugin package, as with -y

### opt_spew(self)

Print an insanely verbose log of everything that happens. Useful when debugging freezes or locks in complex code.

### opt_version(self)

Print version information and exit.

Class Variable Details

### optFlags

  Type:
    `list`
  Value:

        [['nodaemon', 'n', "don't daemonize"],
         ['savestats',
          None,
          'save the Stats object rather than the text output of the profiler.'\
        ],
         ['debug',
          'b',
          'run the application in the Python Debugger (implies nodaemon), send\
        ...

### optParameters

  Type:
    `list`
  Value:

        [['logfile', 'l', None, 'log to a specified file, - for stdout'],
         ['profile',
          'p',
          None,
          'Run in profile mode, dumping results to specified file'],
         ['file', 'f', 'twistd.tap', 'read the given .tap file'],
         ['prefix', None, 'twisted', 'use the given prefix when syslogging'],
         ['python', 'y', None, 'read an application from within a Python file'\
        ...

### synopsis

  Type:
    `string`
  Value:

        'Usage: twistd [options]'

Generated by Epydoc 1.1 on Sat Feb 15 21:19:23 2003 | http://epydoc.sf.net